import {SymbolDoc} from '@workday/canvas-kit-docs';

import Basic from './examples/LabelText/Basic';
import Cursor from './examples/LabelText/Cursor';
import Disabled from './examples/LabelText/Disabled';


# Canvas Kit Label Text

`LabelText` provides a simple way to render a label with built-in support for Canvas type tokens.

## Installation

```sh
yarn add @workday/canvas-kit-react
```

## Usage

### Basic Example

`LabelText` is built on top of [`Text`](/components/text/text/) and renders a `<label>` element.

<ExampleCodeBlock code={Basic} />

### Cursor

Set the `cursor` prop to render a particular cursor when the mouse pointer is hovering over the
label.

<ExampleCodeBlock code={Cursor} />

### Disabled

Set the `disabled` prop to provide a visual cue that the label and its associated element are
disabled.

<ExampleCodeBlock code={Disabled} />

## Component API

<SymbolDoc name="LabelText" fileName="/react/text/" />